Bug 1659388 - New package: python-os-ken - OpenStack for of Ryu library used in Neutron
Summary: New package: python-os-ken - OpenStack for of Ryu library used in Neutron
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Alfredo Moralejo
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-STEIN
TreeView+ depends on / blocked
 
Reported: 2018-12-14 08:58 UTC by Slawek Kaplonski
Modified: 2019-05-16 09:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-16 09:17:01 UTC
amoralej: rdo-review+


Attachments (Terms of Use)

Description Slawek Kaplonski 2018-12-14 08:58:16 UTC
Since: https://review.openstack.org/#/c/607008/ Neutron is switched to use os-ken instead of ryu.
Os-ken is OpenStack for of Ryu project as Ryu will not be maintained anymore by original authors.

Comment 1 Alfredo Moralejo 2018-12-14 09:14:33 UTC
Source code is in http://github.com/openstack/os-ken

Comment 2 Alfredo Moralejo 2018-12-14 09:21:11 UTC
$ licensecheck -r .|grep -v UNKNOWN
./LICENSE: *No copyright* Apache License (v2.0)
./README.rst: *No copyright* Apache License (v2.0)
./setup.cfg: *No copyright* Apache License
./setup.py: Apache License (v2.0) GENERATED FILE
./bin/osken: Apache License (v2.0)
./bin/osken-manager: Apache License (v2.0)
./os_ken/__init__.py: *No copyright* Apache License (v2.0)
./os_ken/cfg.py: Apache License (v2.0)
./os_ken/exception.py: Apache License (v2.0)
./os_ken/flags.py: Apache License (v2.0)
./os_ken/hooks.py: Apache License (v2.0)
./os_ken/log.py: Apache License (v2.0)
./os_ken/utils.py: Apache License (v2.0)
./tools/install_venv.py: Apache License (v2.0)
./tools/normalize_json.py: Apache License (v2.0)
./tools/topology_graphviz.py: Apache License (v2.0)
./tools/with_venv.sh: Apache License (v2.0)
./doc/source/conf.py: *No copyright* Apache License (v2.0)
./doc/source/tls.rst: *No copyright* GENERATED FILE
./os_ken/app/bmpstation.py: Apache License (v2.0)
./os_ken/app/cbench.py: Apache License (v2.0)
./os_ken/app/conf_switch_key.py: Apache License (v2.0)
./os_ken/app/example_switch_13.py: Apache License (v2.0)
./os_ken/app/ofctl_rest.py: Apache License (v2.0)
./os_ken/app/rest_conf_switch.py: Apache License (v2.0)
./os_ken/app/rest_firewall.py: Apache License (v2.0)
./os_ken/app/rest_qos.py: Apache License (v2.0)
./os_ken/app/rest_router.py: Apache License (v2.0)
./os_ken/app/rest_topology.py: Apache License (v2.0)
./os_ken/app/rest_vtep.py: Apache License (v2.0)
./os_ken/app/simple_monitor_13.py: Apache License (v2.0)
./os_ken/app/simple_switch.py: Apache License (v2.0)
./os_ken/app/simple_switch_12.py: Apache License (v2.0)
./os_ken/app/simple_switch_13.py: Apache License (v2.0)
./os_ken/app/simple_switch_14.py: Apache License (v2.0)
./os_ken/app/simple_switch_15.py: Apache License (v2.0)
./os_ken/app/simple_switch_igmp.py: Apache License (v2.0)
./os_ken/app/simple_switch_igmp_13.py: Apache License (v2.0)
./os_ken/app/simple_switch_lacp.py: Apache License (v2.0)
./os_ken/app/simple_switch_lacp_13.py: Apache License (v2.0)
./os_ken/app/simple_switch_rest_13.py: Apache License (v2.0)
./os_ken/app/simple_switch_snort.py: Apache License (v2.0)
./os_ken/app/simple_switch_stp.py: Apache License (v2.0)
./os_ken/app/simple_switch_stp_13.py: Apache License (v2.0)
./os_ken/app/simple_switch_websocket_13.py: Apache License (v2.0)
./os_ken/app/ws_topology.py: Apache License (v2.0)
./os_ken/app/wsgi.py: Apache License (v2.0)
./os_ken/base/app_manager.py: Apache License (v2.0)
./os_ken/cmd/manager.py: Apache License (v2.0)
./os_ken/cmd/of_config_cli.py: Apache License (v2.0)
./os_ken/cmd/ofa_neutron_agent.py: Apache License (v2.0)
./os_ken/cmd/osken_base.py: Apache License (v2.0)
./os_ken/cmd/rpc_cli.py: Apache License (v2.0)
./os_ken/controller/conf_switch.py: Apache License (v2.0)
./os_ken/controller/controller.py: Apache License (v2.0)
./os_ken/controller/dpset.py: Apache License (v2.0)
./os_ken/controller/event.py: Apache License (v2.0)
./os_ken/controller/handler.py: Apache License (v2.0)
./os_ken/controller/mac_to_network.py: Apache License (v2.0)
./os_ken/controller/mac_to_port.py: Apache License (v2.0)
./os_ken/controller/network.py: Apache License (v2.0)
./os_ken/controller/ofp_api.py: Apache License (v2.0)
./os_ken/controller/ofp_event.py: Apache License (v2.0)
./os_ken/controller/ofp_handler.py: Apache License (v2.0)
./os_ken/controller/tunnels.py: Apache License (v2.0)
./os_ken/lib/addrconv.py: Apache License (v2.0)
./os_ken/lib/alert.py: Apache License (v2.0)
./os_ken/lib/bfdlib.py: Apache License (v2.0)
./os_ken/lib/dpid.py: Apache License (v2.0)
./os_ken/lib/hub.py: Apache License (v2.0)
./os_ken/lib/igmplib.py: Apache License (v2.0)
./os_ken/lib/ip.py: Apache License (v2.0)
./os_ken/lib/lacplib.py: Apache License (v2.0)
./os_ken/lib/mac.py: Apache License (v2.0)
./os_ken/lib/mrtlib.py: Apache License (v2.0)
./os_ken/lib/netdevice.py: Apache License (v2.0)
./os_ken/lib/ofctl_nicira_ext.py: Apache License (v2.0)
./os_ken/lib/ofctl_string.py: Apache License (v2.0)
./os_ken/lib/ofctl_utils.py: Apache License (v2.0)
./os_ken/lib/ofctl_v1_0.py: Apache License (v2.0)
./os_ken/lib/ofctl_v1_2.py: Apache License (v2.0)
./os_ken/lib/ofctl_v1_3.py: Apache License (v2.0)
./os_ken/lib/ofctl_v1_4.py: Apache License (v2.0)
./os_ken/lib/ofctl_v1_5.py: Apache License (v2.0)
./os_ken/lib/ofp_pktinfilter.py: Apache License (v2.0)
./os_ken/lib/pack_utils.py: Apache License (v2.0)
./os_ken/lib/pcaplib.py: Apache License (v2.0)
./os_ken/lib/port_no.py: Apache License (v2.0)
./os_ken/lib/rpc.py: Apache License (v2.0)
./os_ken/lib/snortlib.py: Apache License (v2.0)
./os_ken/lib/sockaddr.py: Apache License (v2.0)
./os_ken/lib/sockopt.py: Apache License (v2.0)
./os_ken/lib/stplib.py: Apache License (v2.0)
./os_ken/lib/stringify.py: Apache License (v2.0)
./os_ken/lib/type_desc.py: Apache License (v2.0)
./os_ken/ofproto/__init__.py: Apache License (v2.0)
./os_ken/ofproto/nicira_ext.py: Apache License (v2.0)
./os_ken/ofproto/nx_actions.py: Apache License (v2.0)
./os_ken/ofproto/nx_match.py: Apache License (v2.0)
./os_ken/ofproto/ofproto_common.py: Apache License (v2.0)
 ./os_ken/ofproto/ofproto_parser.py: Apache License (v2.0)
./os_ken/ofproto/ofproto_protocol.py: Apache License (v2.0)
./os_ken/ofproto/ofproto_utils.py: Apache License (v2.0)
./os_ken/ofproto/ofproto_v1_0.py: Apache License (v2.0)
./os_ken/ofproto/ofproto_v1_0_parser.py: Apache License (v2.0)
./os_ken/ofproto/ofproto_v1_2.py: Apache License (v2.0)
./os_ken/ofproto/ofproto_v1_2_parser.py: Apache License (v2.0)
./os_ken/ofproto/ofproto_v1_3.py: Apache License (v2.0)
./os_ken/ofproto/ofproto_v1_3_parser.py: Apache License (v2.0)
./os_ken/ofproto/ofproto_v1_4.py: Apache License (v2.0)
./os_ken/ofproto/ofproto_v1_4_parser.py: Apache License (v2.0)
./os_ken/ofproto/ofproto_v1_5.py: Apache License (v2.0)
./os_ken/ofproto/ofproto_v1_5_parser.py: Apache License (v2.0)
./os_ken/ofproto/oxm_fields.py: Apache License (v2.0)
./os_ken/ofproto/oxs_fields.py: Apache License (v2.0)
./os_ken/ofproto/oxx_fields.py: Apache License (v2.0)
./os_ken/services/__init__.py: Apache License (v2.0)
./os_ken/tests/base.py: Apache License (v2.0)
./os_ken/tests/test_lib.py: Apache License (v2.0)
./os_ken/tests/test_os_ken.py: *No copyright* Apache License (v2.0)
./os_ken/topology/api.py: Apache License (v2.0)
./os_ken/topology/dumper.py: Apache License (v2.0)
./os_ken/topology/event.py: Apache License (v2.0)
./os_ken/topology/switches.py: Apache License (v2.0)
./releasenotes/source/conf.py: *No copyright* Apache License (v2.0) GENERATED FILE
./tools/pyang_plugins/__init__.py: Apache License (v2.0)
./tools/pyang_plugins/osken.py: Apache License (v2.0) GENERATED FILE
./os_ken/app/gui_topology/gui_topology.py: Apache License (v2.0)
./os_ken/app/ofctl/__init__.py: Apache License (v2.0)
./os_ken/app/ofctl/api.py: Apache License (v2.0)
./os_ken/app/ofctl/event.py: Apache License (v2.0)
./os_ken/app/ofctl/exception.py: Apache License (v2.0)
./os_ken/app/ofctl/service.py: Apache License (v2.0)
./os_ken/lib/netconf/__init__.py: Apache License (v2.0)
./os_ken/lib/netconf/constants.py: Apache License (v2.0)
./os_ken/lib/of_config/__init__.py: Apache License (v2.0)
./os_ken/lib/of_config/base.py: Apache License (v2.0)
./os_ken/lib/of_config/capable_switch.py: Apache License (v2.0)
./os_ken/lib/of_config/classes.py: Apache License (v2.0)
./os_ken/lib/of_config/constants.py: Apache License (v2.0)
./os_ken/lib/of_config/generated_classes.py: Apache License (v2.0) GENERATED FILE
./os_ken/lib/of_config/ietf-inet-types.xsd: GENERATED FILE
./os_ken/lib/of_config/ietf-yang-types.xsd: GENERATED FILE
./os_ken/lib/of_config/of-config-1.1.1.xsd: *No copyright* GENERATED FILE
./os_ken/lib/ovs/bridge.py: Apache License (v2.0)
./os_ken/lib/ovs/db_client.py: Apache License (v2.0)
./os_ken/lib/ovs/vsctl.py: Apache License (v2.0)
./os_ken/lib/ovs/vswitch_idl.py: Apache License (v2.0) GENERATED FILE
./os_ken/lib/packet/afi.py: Apache License (v2.0)
./os_ken/lib/packet/arp.py: Apache License (v2.0)
./os_ken/lib/packet/bfd.py: Apache License (v2.0)
./os_ken/lib/packet/bgp.py: Apache License (v2.0)
./os_ken/lib/packet/bmp.py: Apache License (v2.0)
./os_ken/lib/packet/bpdu.py: Apache License (v2.0)
./os_ken/lib/packet/cfm.py: Apache License (v2.0)
./os_ken/lib/packet/dhcp.py: Apache License (v2.0)
./os_ken/lib/packet/dhcp6.py: Apache License (v2.0)
./os_ken/lib/packet/ether_types.py: Apache License (v2.0)
./os_ken/lib/packet/ethernet.py: Apache License (v2.0)
./os_ken/lib/packet/geneve.py: Apache License (v2.0)
./os_ken/lib/packet/gre.py: Apache License (v2.0)
./os_ken/lib/packet/icmp.py: Apache License (v2.0)
./os_ken/lib/packet/icmpv6.py: Apache License (v2.0)
./os_ken/lib/packet/igmp.py: Apache License (v2.0)
./os_ken/lib/packet/in_proto.py: Apache License (v2.0)
./os_ken/lib/packet/ipv4.py: Apache License (v2.0)
./os_ken/lib/packet/ipv6.py: Apache License (v2.0)
./os_ken/lib/packet/linux.py: Apache License (v2.0)
./os_ken/lib/packet/llc.py: Apache License (v2.0)
./os_ken/lib/packet/lldp.py: Apache License (v2.0)
./os_ken/lib/packet/mpls.py: Apache License (v2.0)
./os_ken/lib/packet/openflow.py: Apache License (v2.0)
./os_ken/lib/packet/ospf.py: Apache License (v2.0)
./os_ken/lib/packet/packet.py: Apache License (v2.0)
./os_ken/lib/packet/packet_base.py: Apache License (v2.0)
./os_ken/lib/packet/packet_utils.py: Apache License (v2.0)
./os_ken/lib/packet/pbb.py: Apache License (v2.0)
./os_ken/lib/packet/safi.py: Apache License (v2.0)
./os_ken/lib/packet/sctp.py: Apache License (v2.0)
./os_ken/lib/packet/slow.py: Apache License (v2.0)
./os_ken/lib/packet/stream_parser.py: Apache License (v2.0)
./os_ken/lib/packet/tcp.py: Apache License (v2.0)
./os_ken/lib/packet/udp.py: Apache License (v2.0)
./os_ken/lib/packet/vlan.py: Apache License (v2.0)
./os_ken/lib/packet/vrrp.py: Apache License (v2.0)
./os_ken/lib/packet/vxlan.py: Apache License (v2.0)
./os_ken/lib/packet/zebra.py: Apache License (v2.0)
./os_ken/lib/xflow/netflow.py: Apache License (v2.0)
./os_ken/lib/xflow/sflow.py: Apache License (v2.0)
./os_ken/services/protocols/__init__.py: Apache License (v2.0)
./os_ken/tests/integrated/run_test.py: Apache License (v2.0)
./os_ken/tests/integrated/run_tests_with_ovs12.py: Apache License (v2.0)
./os_ken/tests/integrated/test_add_flow_v10.py: Apache License (v2.0)
./os_ken/tests/integrated/test_add_flow_v12_actions.py: Apache License (v2.0)
./os_ken/tests/integrated/test_add_flow_v12_matches.py: Apache License (v2.0)
./os_ken/tests/integrated/test_of_config.py: Apache License (v2.0)
./os_ken/tests/integrated/test_request_reply_v12.py: Apache License (v2.0)
./os_ken/tests/integrated/test_vrrp_linux_multi.py: Apache License (v2.0)
./os_ken/tests/integrated/test_vrrp_linux_multi.sh: Apache License (v2.0)
./os_ken/tests/integrated/test_vrrp_multi.py: Apache License (v2.0)
./os_ken/tests/integrated/test_vrrp_multi.sh: Apache License (v2.0)
./os_ken/tests/integrated/tester.py: Apache License (v2.0)
./os_ken/tests/integrated/vrrp_common.py: Apache License (v2.0)
./os_ken/tests/packet_data_generator/rebar.config: Apache License (v2.0)
./os_ken/tests/packet_data_generator2/Makefile.BSD: Apache License (v2.0)
./os_ken/tests/packet_data_generator2/Makefile.GNU: Apache License (v2.0)
./os_ken/tests/packet_data_generator2/README: *No copyright* GENERATED FILE
./os_ken/tests/packet_data_generator2/gen.c: Apache License (v2.0)
./os_ken/tests/switch/tester.py: Apache License (v2.0)
./os_ken/tests/unit/test_requirements.py: Apache License (v2.0)
./os_ken/tests/unit/test_utils.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/application.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/base.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/bgpspeaker.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/bmp.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/constants.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/core.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/core_manager.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/model.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/net_ctrl.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/peer.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/processor.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/protocol.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/speaker.py: Apache License (v2.0)
./os_ken/services/protocols/ovsdb/__init__.py: Apache License (v2.0)
./os_ken/services/protocols/ovsdb/api.py: Apache License (v2.0)
./os_ken/services/protocols/ovsdb/client.py: Apache License (v2.0)
./os_ken/services/protocols/ovsdb/event.py: Apache License (v2.0)
./os_ken/services/protocols/ovsdb/manager.py: Apache License (v2.0)
./os_ken/services/protocols/ovsdb/model.py: Apache License (v2.0)
./os_ken/services/protocols/vrrp/__init__.py: Apache License (v2.0)
./os_ken/services/protocols/vrrp/api.py: Apache License (v2.0)
./os_ken/services/protocols/vrrp/dumper.py: Apache License (v2.0)
./os_ken/services/protocols/vrrp/event.py: Apache License (v2.0)
./os_ken/services/protocols/vrrp/manager.py: Apache License (v2.0)
./os_ken/services/protocols/vrrp/monitor.py: Apache License (v2.0)
./os_ken/services/protocols/vrrp/monitor_linux.py: Apache License (v2.0)
./os_ken/services/protocols/vrrp/monitor_openflow.py: Apache License (v2.0)
./os_ken/services/protocols/vrrp/router.py: Apache License (v2.0)
./os_ken/services/protocols/vrrp/rpc_manager.py: Apache License (v2.0)
./os_ken/services/protocols/vrrp/sample_manager.py: Apache License (v2.0)
./os_ken/services/protocols/vrrp/sample_router.py: Apache License (v2.0)
./os_ken/services/protocols/vrrp/utils.py: Apache License (v2.0)
./os_ken/services/protocols/zebra/__init__.py: Apache License (v2.0)
./os_ken/services/protocols/zebra/event.py: Apache License (v2.0)
./os_ken/tests/integrated/bgp/base.py: Apache License (v2.0)
./os_ken/tests/integrated/bgp/base_ip6.py: Apache License (v2.0)
./os_ken/tests/integrated/bgp/test_basic.py: Apache License (v2.0)
./os_ken/tests/integrated/bgp/test_ip6_basic.py: Apache License (v2.0)
./os_ken/tests/integrated/common/docker_base.py: Apache License (v2.0)
./os_ken/tests/integrated/common/oskenbgp.py: Apache License (v2.0)
./os_ken/tests/integrated/common/quagga.py: Apache License (v2.0)
./os_ken/tests/packet_data_generator/src/er.app.src: Apache License (v2.0)
./os_ken/tests/packet_data_generator/src/x.erl: Apache License (v2.0)
./os_ken/tests/packet_data_generator/src/x1.erl: Apache License (v2.0)
./os_ken/tests/packet_data_generator/src/x3.erl: Apache License (v2.0)
./os_ken/tests/packet_data_generator/src/x4.erl: Apache License (v2.0)
./os_ken/tests/packet_data_generator/src/x5.erl: Apache License (v2.0)
./os_ken/tests/packet_data_generator/src/x_flower_packet.erl: Apache License (v2.0)
./os_ken/tests/packet_data_generator/src/x_of_protocol.erl: Apache License (v2.0)
./os_ken/tests/unit/app/test_ofctl_rest.py: Apache License (v2.0)
./os_ken/tests/unit/app/test_tester.py: Apache License (v2.0)
./os_ken/tests/unit/app/test_ws_topology.py: Apache License (v2.0)
./os_ken/tests/unit/app/test_wsgi.py: Apache License (v2.0)
./os_ken/tests/unit/cmd/__init__.py: Apache License (v2.0)
./os_ken/tests/unit/cmd/dummy_app.py: Apache License (v2.0)
./os_ken/tests/unit/cmd/dummy_openflow_app.py: Apache License (v2.0)
./os_ken/tests/unit/cmd/test_manager.py: Apache License (v2.0)
./os_ken/tests/unit/controller/test_controller.py: Apache License (v2.0)
./os_ken/tests/unit/ofproto/test_ether.py: Apache License (v2.0)
./os_ken/tests/unit/ofproto/test_inet.py: Apache License (v2.0)
./os_ken/tests/unit/ofproto/test_nx_flow_spec.py: Apache License (v2.0)
./os_ken/tests/unit/ofproto/test_ofproto.py: Apache License (v2.0)
./os_ken/tests/unit/ofproto/test_ofproto_common.py: Apache License (v2.0)
./os_ken/tests/unit/ofproto/test_ofproto_parser.py: Apache License (v2.0)
./os_ken/tests/unit/ofproto/test_ofproto_v12.py: Apache License (v2.0)
./os_ken/tests/unit/ofproto/test_oxm.py: Apache License (v2.0)
./os_ken/tests/unit/ofproto/test_oxs.py: Apache License (v2.0)
./os_ken/tests/unit/ofproto/test_parser.py: Apache License (v2.0)
./os_ken/tests/unit/ofproto/test_parser_compat.py: Apache License (v2.0)
./os_ken/tests/unit/ofproto/test_parser_ofpmatch.py: Apache License (v2.0)
./os_ken/tests/unit/ofproto/test_parser_ofpstats.py: Apache License (v2.0)
./os_ken/tests/unit/ofproto/test_parser_v10.py: Apache License (v2.0)
./os_ken/tests/unit/ofproto/test_parser_v12.py: Apache License (v2.0)
./os_ken/tests/unit/ofproto/test_parser_v13.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_arp.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_bfd.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_bgp.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_bmp.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_bpdu.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_cfm.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_dhcp.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_ethernet.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_geneve.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_gre.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_icmp.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_icmpv6.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_igmp.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_ipv4.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_ipv6.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_llc.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_lldp.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_mpls.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_openflow.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_ospf.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_packet.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_pbb.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_sctp.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_slow.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_tcp.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_udp.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_vlan.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_vrrp.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_vxlan.py: Apache License (v2.0)
./os_ken/tests/unit/packet/test_zebra.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/api/base.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/api/core.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/api/import_map.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/api/jsonrpc.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/api/operator.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/api/prefix.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/api/rpc_log_handler.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/api/rtconf.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/core_managers/__init__.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/core_managers/import_map_manager.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/base.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/evpn.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/ipv4.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/ipv4fs.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/ipv6.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/ipv6fs.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/l2vpnfs.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/rtc.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/vpn.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/vpnv4.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/vpnv4fs.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/vpnv6.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/vpnv6fs.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/vrf.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/vrf4.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/vrf4fs.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/vrf6.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/vrf6fs.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/vrfevpn.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/vrffs.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/info_base/vrfl2vpnfs.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/operator/ssh.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/rtconf/base.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/rtconf/common.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/rtconf/neighbors.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/rtconf/vrfs.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/utils/bgp.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/utils/circlist.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/utils/evtlet.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/utils/rtfilter.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/utils/stats.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/utils/validation.py: Apache License (v2.0)
./os_ken/services/protocols/zebra/client/__init__.py: Apache License (v2.0)
./os_ken/services/protocols/zebra/client/event.py: Apache License (v2.0) GENERATED FILE
./os_ken/services/protocols/zebra/client/sample_dumper.py: Apache License (v2.0)
./os_ken/services/protocols/zebra/client/zclient.py: Apache License (v2.0)
./os_ken/services/protocols/zebra/db/__init__.py: Apache License (v2.0)
./os_ken/services/protocols/zebra/db/base.py: Apache License (v2.0)
./os_ken/services/protocols/zebra/db/interface.py: Apache License (v2.0)
./os_ken/services/protocols/zebra/db/route.py: Apache License (v2.0)
./os_ken/services/protocols/zebra/server/__init__.py: Apache License (v2.0)
./os_ken/services/protocols/zebra/server/event.py: Apache License (v2.0) GENERATED FILE
./os_ken/services/protocols/zebra/server/sample_dumper.py: Apache License (v2.0)
./os_ken/services/protocols/zebra/server/zserver.py: Apache License (v2.0)
./os_ken/tests/mininet/l2/mpls/test_mpls.py: Apache License (v2.0)
./os_ken/tests/mininet/l2/vlan/test_vlan.py: Apache License (v2.0)
./os_ken/tests/mininet/l3/icmp/test_icmp.py: Apache License (v2.0)
./os_ken/tests/mininet/l3/ip_ttl/test_ip_ttl.py: Apache License (v2.0)
./os_ken/tests/mininet/packet_lib/arp/test_arp.py: Apache License (v2.0)
./os_ken/services/protocols/bgp/operator/commands/responses.py: Apache License (v2.0)
./os_ken/tests/unit/services/protocols/bgp/test_bgpspeaker.py: Apache License (v2.0)
./os_ken/tests/unit/services/protocols/bgp/test_peer.py: Apache License (v2.0)
./os_ken/tests/unit/services/protocols/bgp/core_managers/test_table_manager.py: Apache License (v2.0)
./os_ken/tests/unit/services/protocols/bgp/utils/test_bgp.py: Apache License (v2.0)
./os_ken/tests/unit/services/protocols/bgp/utils/test_validation.py: Apache License (v2.0)


License is ASL v2.0

Comment 3 Bernard Cafarelli 2018-12-14 09:23:48 UTC
Documentation: https://docs.openstack.org/os-ken/
Repo URL: https://git.openstack.org/cgit/openstack/os-ken

Current code is mostly existing ryu package + rename to os-ken and a few changes to be a "proper" OpenStack repository

Comment 4 Alfredo Moralejo 2018-12-19 12:33:43 UTC
Package spec is being reviewed in https://review.rdoproject.org/r/#/c/17852/

Comment 5 Alfredo Moralejo 2018-12-19 12:36:59 UTC
fedora-review from https://logs.rdoproject.org/52/17852/29/check/legacy-DLRN-rpmbuild/e494f7d/buildset/centos/current/python-os-ken-0.3.2-0.20181219120558.f57d8b3.el7.src.rpm :

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.png is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License (v2.0)", "*No copyright* Apache
     License", "Unknown or generated", "Apache License (v2.0)". 1217 files
     have unknown license. Detailed output of licensecheck in /tmp/borrame6
     /python-os-ken/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[-]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.3.2.dev1
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-os-ken-doc-0.3.2-0.20181219114345.f57d8b3.el7.noarch.rpm
          python-os-ken-0.3.2-0.20181219114345.f57d8b3.el7.src.rpm
python-os-ken-doc.noarch: E: no-changelogname-tag
python-os-ken.src: E: no-changelogname-tag
python-os-ken.src: W: invalid-url Source0: os-ken-0.3.2.dev1-0.20181219114345.f57d8b3.tar.gz
2 packages and 0 specfiles checked; 2 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
python-os-ken-doc.noarch: E: no-changelogname-tag
python-os-ken-doc.noarch: W: invalid-url URL: http://github.com/openstack/os-ken <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 1 errors, 1 warnings.



Requires
--------
python-os-ken-doc (rpmlib, GLIBC filtered):



Provides
--------
python-os-ken-doc:
    python-os-ken-doc



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m centos-7-dlrn -rn python-os-ken-0.3.2-0.20181219114345.f57d8b3.el7.src.rpm
Buildroot used: dlrn-centos7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Some comments:

- WRT changelog issue, this spec is prepared for DLRN builds which does not use changelog.
- The source0 is created dynamically by dlrn too 

This package is APPROVED.

Comment 6 Bernard Cafarelli 2019-05-16 09:17:01 UTC
Package is in master and stein branch builds, closing the bug


Note You need to log in before you can comment on or make changes to this bug.